library YFree;

import 'dart:async';
import 'dart:convert';
import 'dart:io';

import 'package:adaptive_dialog/adaptive_dialog.dart';
import 'package:app_installer/app_installer.dart';
import 'package:bot_toast/bot_toast.dart';
import 'package:connectivity_plus/connectivity_plus.dart';
import 'package:dio/adapter.dart';
import 'package:dio/dio.dart';
import 'package:encrypt/encrypt.dart' as enc;
import 'package:extended_image/extended_image.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:flutter_easyrefresh/easy_refresh.dart';
import 'package:flutter_localizations/flutter_localizations.dart';
import 'package:flutter_secure_storage/flutter_secure_storage.dart';
import 'package:flutter_update_dialog/flutter_update_dialog.dart';
import 'package:flutter_yfree/extension/localizations.dart';
import 'package:package_info_plus/package_info_plus.dart';
import 'package:path_provider/path_provider.dart';
import 'package:permission_handler/permission_handler.dart';
import 'package:platform_device_id/platform_device_id.dart';
import 'package:shared_preferences/shared_preferences.dart';
import 'package:ulid/ulid.dart';
import 'package:universal_html/html.dart' as html;
import 'package:universal_html/js.dart' as js;

part 'main/YFree+Config.dart';
part 'main/YFree+Localization.dart';
part 'main/YFree+Main.dart';
part 'main/YFree+Pages.dart';
part 'main/YFree+Plugin.dart';
part 'main/YFree+Plugin_App.dart';
part 'main/YFree+Plugin_Common.dart';
part 'main/YFree+Plugin_PC.dart';
part 'main/YFree+Plugin_Web.dart';
part 'main/YFree+Utils.dart';
part 'main/YFree+View.dart';
part 'main/YFree+Widget.dart';

final yFreeWebPlugin = _yFreeWebPlugin;
